//
//  URL+Constants.swift
//  ReviewsFoundationKit
//
//  Created by Javier Cicchelli on 17/03/2024.
//  Copyright © 2024 Röck+Cöde VoF. All rights reserved.
//

import Foundation

extension URL {
    
    // MARK: Constants
    public static let bitBucket: URL = {
        if #available(iOS 16.0, *) {
            .init(filePath: .FilePath.bitBucket)
        } else {
            .init(fileURLWithPath: .FilePath.bitBucket)
        }
    }()
    
}

// MARK: - String+Constants
private extension String {
    enum FilePath {
        static let bitBucket = "/dev/null"
    }
}
