//
//  TableCell.swift
//  ReviewsUIKit
//
//  Created by Javier Cicchelli on 21/03/2024.
//  Copyright © 2024 Röck+Cöde VoF. All rights reserved.
//

import UIKit

public protocol TableCell: UITableViewCell {
    
    // MARK: Properties
    static var cellID: String { get }
    
    // MARK: Functions
    static func dequeue(from tableView: UITableView) -> UITableViewCell?
    static func register(in tableView: UITableView)
    
}

// MARK: - Implementations
extension TableCell {
    
    public static func dequeue(from tableView: UITableView) -> UITableViewCell? {
        tableView.dequeueReusableCell(withIdentifier: cellID)
    }
    
    public static func register(in tableView: UITableView) {
        tableView.register(Self.self, forCellReuseIdentifier: cellID)
    }
    
}
